<template>
  <div class="category-item">
    <div class="category-item__header">
      <span @click="$emit('changeParent', category)">
        {{ category.value }}
      </span>
    </div>
    <div class="category-item__btns">
      <my-button class="category-item__btns__btn" @click="$router.push(`/category/${category.id}`)">Открыть</my-button>
      <my-button class="category-item__btns__btn" @click="$emit('edit', category)">Редактировать</my-button>
      <my-button class="category-item__btns__btn" @click="$emit('remove', category)">Удалить</my-button>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    category: {
      type: Object,
      required: true,
    }
  }
}
</script>

<style scoped>
.category-item {
  min-height: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.category-item__btns__btn {
  margin-left: 10px;
}
</style>